<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UserCE_List.aspx.cs" Inherits="RM.Web.Training.UserCE.UserCE_List" %>

<%@ Register Src="../../UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="../../UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            //把分页定位到屏幕下面
            divresize(85);
            FixedTableHeader("#table1", $(window).height() - 121);
        })
        //添加
        function add() {
            var url = "/Training/UserCE/UserCE_Form.aspx";
            top.openDialog(url, 'UserCE_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("UserInfo_Index")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Add")%>', 700, 350, 50, 50);
        }
        //修改
        function edit() {
            var key = CheckboxValue();
            if (IsEditdata(key)) {
                var url = "/Training/UserCE/UserCE_Form.aspx?key=" + key;
                top.openDialog(url, 'UserCE_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("UserInfo_Index")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 700, 350, 50, 50);
            }
        }
        //删除
        function Delete() {
            var key = CheckboxValue();
            if (IsDelData(key)) {
                var delparm = 'action=Virtualdelete&module=<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("UserInfo_Index")%>&tableName=Base_UserInfo&pkName=User_ID&pkVal=' + key;
                delConfig('/Ajax/Common_Ajax.ashx', delparm)
            }
        }
        //分配课程 
        function addRightCE() {
            var key = CheckboxValue();
            if (IsEditdata(key)) {
                var url = "/Training/UserCE/UserRightCE_Form.aspx?key=" + key;
                top.openDialog(url, 'UserRightCE_Form', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("fenpeiCourse")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 700, 600, 50, 50);
            }
        }
        //分配试卷
        function addRightExam() {
            var key = CheckboxValue();
            if (IsEditdata(key)) {
                var url = "/Training/UserCE/UserRightExam.aspx?key=" + key;
                top.openDialog(url, 'UserRightExam', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("fenpeiExam")%> - <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Edit")%>', 700, 600, 50, 50);
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("User_situ")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <table class="grid">
            <thead>
                <tr>
                    <th>
                        <label title="<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Quanxuan")%>" onclick="CheckAllLine()" id="checkAllOff">
                            &nbsp;</label>
                    </th>
                    <th>
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("openuser_ryxm")%>
                    </th>
                    <th>
                        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("UserCE_Listfzbm")%>
                    </th>
                </tr>
            </thead>
            <tbody>
                <%=stutable.ToString()%>
            </tbody>
        </table>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
</body>
</html>
